/* Portrait */
@media (orientation: portrait) {
    /* Styles for portrait orientation */
}

/* Landscape */
@media (orientation: landscape) {
    /* Styles for landscape orientation */
}

/* Responsive design based on viewport width */
@media (max-width: 600px) {
    .k-drawer-item, .k-input-inner {
        font-size: 14px;
        line-height: 1.25;
        align-items: center;
    }
    .k-drawer-item {
        padding-right: 10px;
    }
    .k-list .k-list-sm .k-list-item, .k-list-optionlabel {
        font-size: 14px;
        line-height: 1.25;
        padding-block: 2px;
        padding-inline: 4px;
    }
    .k-icon {
        font-size: 14px;
        align-items: center;
    }
    .k-i-arrow-chevron-right::before {
        padding-left: 10px;
    }
    .k-appbar-section {
        font-size: 16px;
    }
    .k-body, .k-typography {
        font-size: 14px;
        line-height: 1.25;
    }
    .k-grid.k-grid-md .k-grid-header .k-grid-header-wrap .k-table.k-grid-header-table.k-table-md, .k-grid.k-grid-md .k-grid-header .k-grid-header-wrap, .k-form, .k-card .k-card-header .k-card-title {
        font-size: 14px;
        line-height: 1.25;
    }
    .k-card-header {
        font-size: 16px;
        font-weight: bold;
        padding-block: 2px;
        padding-inline: 10px;
    }
    .nomination-summary-label-column {
        text-align: right;
        margin-right: 10px;
        min-width: 125px;
    }
}

@media (min-width: 601px) {
    .nomination-summary-label-column {
        text-align: right;
        margin-right: 10px;
        min-width: 200px; 
    }
    .k-drawer-item {
        padding-right: 10px;
    }
    .k-i-arrow-chevron-right::before {
        padding-left: 10px;
    }

    /* Add this in a .css file, not in the Razor file */
    .loader {
        border: 4px solid #f3f3f3; /* Light grey */
        border-top: 4px solid #3498db; /* Blue */
        border-radius: 50%;
        width: 200px;
        height: 200px;
        animation: spin 2s linear infinite;
        position: fixed; /* Fixed position to overlay on the entire page */
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
        display: flex;
        justify-content: center; /* Center horizontally */
        align-items: center; /* Center vertically */
        z-index: 1000; /* Ensure it's on top of other elements */
    }


    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }

}